---
title: "GET /customerstatus"
canonical: "https://docs.perspectium.com/space/apisdk/1704022/GET%20%2Fcustomerstatus"
format: markdown
---
The GET /customerstatus REST API makes an AJAX call to the CustomerStatusServlet to determine the current status of a queue in the Perspectium Integration Mesh. REST Method & Endpoint   /customerstatus/{psp_family} Request Headers Heade r Description psp_quser Username used to access the Perspectium Mesh queue psp_qpassword Password used to access the Perspectium Mesh queue psp_input_queue The queue, list of queues, or patterns for queues to get message counts for Parameters Parameter Description Required? Data Type Example psp_family Name of the psp_family. If the response is successful, the message counts for queues in the psp_family will be returned, and the request header  psp_input_queue  will be ignored No string my_company Responses HTTP Status Code Reason 200 The CustomerStatusServlet returns a JSON object with the names and message counts for the specified queues 400 RouteServlet returns a JSON object with an  error  field that holds an error message that provides more details as to what went wrong then gracefully return and exit Examples Single Queue Success Response: {"Queue Message Count":"10","Queue Name":"psp.out.replicator.dev256"} Multiple Queue Success Response: [{"Queue Message Count":"0","Queue Name":"psp.out.replicator.dev256"},{"Queue Message Count":"0","Queue Name":"psp.out.replicator.dev257"},{"Queue Message Count":"0","Queue Name":"psp.out.replicator.dev258"}]